webapp-manager (1.4.3) zara; urgency=medium

  * l10n: Update translations
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 26 Aug 2025 18:03:51 +0200

webapp-manager (1.4.2) zara; urgency=medium

  * l10n: Update translations
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 31 Jul 2025 12:34:41 +0200

webapp-manager (1.4.1) zara; urgency=medium

  [ hduelme ]
  * Use auto resource management for license file (#330)

  [ DanWolfstone ]
  * Add Support for Zen Browser (#335) (#336)

  [ diam0ndkiller ]
  * Add support for Google's Favicon API as a fallback option (#350)

  [ Timothy Feierabend ]
  * Add Description field to Web App editor (#339)

  [ Clement Lefebvre ]
  * add_webapp: Reset description
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 25 Jul 2025 15:09:43 +0200

webapp-manager (1.4.0) xia; urgency=medium

  [ Michael Webster ]
  * userChrome.css: Adapt to firefox 133 layout changes. (#325)

  [ hduelme ]
  * Remove call to favicongrabber.com (#328)
  * Prevent preview of unsaved image (#329)

  [ Clement Lefebvre ]
  * l10n: Update translations
  * userChrome.css: Switch to upstream solution
  * userChrome.css: Remove the hide transition delay
  * userChrome.css: Remove the black background
  * userChrome.css: Remove unnecessary code

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 09 Jan 2025 12:22:02 +0000

webapp-manager (1.3.9) xia; urgency=medium

  * l10n: Update translations
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 05 Dec 2024 10:55:44 +0000

webapp-manager (1.3.8) xia; urgency=medium

  [ Hazel Bunny ]
  * Add support for ungoogled-chromium (#310)

  [ NBA2K1 ]
  * Update common.py (#314)

  [ Melroy van den Berg ]
  * Add Floorp support (#316)

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 03 Dec 2024 10:21:19 +0000

webapp-manager (1.3.7) wilma; urgency=medium

  * l10n: Update translations
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 21 Jul 2024 10:43:05 +0100

webapp-manager (1.3.6) wilma; urgency=medium

  * l10n: Update translations
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 18 Jun 2024 20:57:39 +0100

webapp-manager (1.3.5) wilma; urgency=medium

  [ Victor B ]
  * Fix top border in Firefox (#280)

  [ Clement Lefebvre ]
  * Don't show translations popups
  * Open links in new window

  [ Ximin Luo ]
  * Firefox: hide navigation toolbars only when top menu is inactive (#288)

  [ Himadri Sekhar Basu ]
  * Add support for firefox snap package (#291)

  [ Cristiano Guadagnino ]
  * Proposed fix for issue #294 (updated) (#296)

  [ Michael Webster ]
  * Use _ for gettext.

  [ Matthew Laird ]
  * Update Ungoogled Chromium package name (#297)

  [ Kyle Gospodnetich ]
  * Fix capitalization of WebApp (#300)

  [ Alonso Diaz Ruben Lautaro ]
  * add support from Thorium Browser (#302)

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 05 Jun 2024 14:55:41 +0100

webapp-manager (1.3.4) virginia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 03 Dec 2023 15:17:20 +0000

webapp-manager (1.3.3) virginia; urgency=medium

  [ GolDNenex ]
  * Update common.py (#255)

  [ Adam Kieliński ]
  * I added a new rule in userChrome.css to display all navbar children (#258)

  [ Oğuzhan Palacıoğlu ]
  * TR_README (#259)

  [ Edip ]
  * Fix link (#267)

  [ A.d. I B ]
  * add firefox flatpak to show_hide_browser_widgets() (#262)

  [ Melih Darcan ]
  * feat: Waterfox (Flatpak) support (#263)

  [ Ben Ritter ]
  * Consistently include a space *before* parameters when building exec_string (#270)

  [ haggen88 ]
  * add vivaldi as flatpak (#274)

  [ Sascha Eggenberger ]
  * Fix Gnome wayland handling window names (#272)

  [ Clement Lefebvre ]
  * Revert "TR_README (#259)"

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 28 Nov 2023 12:01:32 +0000

webapp-manager (1.3.2) victoria; urgency=medium

  [ Rokosun ]
  * Don't clear cookies in LibreWolf (#250)

  [ Michael Webster ]
  * common.py: Fix downloading web icons.
  * Fix python 3.8 compatibility.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 20 Jun 2023 18:29:26 +0200

webapp-manager (1.3.1) victoria; urgency=medium

  [ Himadri Sekhar Basu ]
  * Fix TypeError in commit b878bb1; closes #251

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 19 Jun 2023 10:54:39 +0200

webapp-manager (1.3.0) victoria; urgency=medium

  * l10n: Update translations
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 08 Jun 2023 12:04:46 +0100

webapp-manager (1.2.9) victoria; urgency=medium

  [ Brendan Threewitt ]
  * added support for chromium(bin) and brave(bin) in gentoo (#216)

  [ ludvigng ]
  * Add user-installed flatpak browsers (#217)

  [ hduelme ]
  * simplify get_supported_browsers (#218)

  [ haggen88 ]
  * Add Yandex browser (#239)

  [ PizzaDude ]
  * Add missing comma in common.py (#242)

  [ haggen88 ]
  * Add Falkon (Flatpak) and Naver Whale browser

  [ hduelme ]
  * remove unused imports

  [ eutektoid ]
  * Update README.md

  [ hduelme ]
  * refactor download_image (#240)

  [ haggen88 ]
  * Add Yandex as Flatpak

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 05 Jun 2023 14:02:23 +0100

webapp-manager (1.2.8) vera; urgency=medium

  * Fix editing WebApps
  * Fix boolean values lost on edit

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 13 Dec 2022 12:32:04 +0000

webapp-manager (1.2.7) vera; urgency=medium

  * l10n: Update translations
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 02 Dec 2022 17:38:54 +0000

webapp-manager (1.2.6) vera; urgency=medium

  [ Michael Webster ]
  * Add github workflow.

  [ WhosyVox ]
  * Added Flatpak Edge as browser (#206)
  * Fix spaces in icon path from breaking webapps (#205)

  [ Aaron P. Murniadi ]
  * Detect Brave Browser for RPM builds (Fedora) (#209)

  [ WhosyVox ]
  * Add Flatpak Brave browser as supported (#204)
  * Add quotes around url in EXEC (#207)

  [ hduelme ]
  * replace equality None check with identity None check (#201)

  [ Jonathan Henrique Minella Oldenburg ]
  * Refactor get exec string in separate method (#212)

  [ hdulme ]
  * remove redundant parentheses

  [ Jonathan Henrique Minella Oldenburg ]
  * Edit webapp browser settings (#202)

  [ jacekpoz ]
  * added support for firefox nightly (#220)

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 02 Dec 2022 13:01:17 +0000

webapp-manager (1.2.5) vanessa; urgency=medium

  [ Konstantinos Chatzis ]
  * Fixed tabs and spaces (#198)

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 05 Sep 2022 15:42:22 +0100

webapp-manager (1.2.4) vanessa; urgency=medium

  * l10n: Update translations
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 24 Jul 2022 12:34:07 +0200

webapp-manager (1.2.3) vanessa; urgency=medium

  [ oreillymonitor ]
  * Update common.py

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 15 Jul 2022 16:45:46 +0200

webapp-manager (1.2.2) vanessa; urgency=medium

  * Default to Web category
  * FF: Update search.json.mozlz4

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 01 Jul 2022 14:21:07 +0200

webapp-manager (1.2.1) vanessa; urgency=medium

  * l10n: Update translations
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 27 Jun 2022 13:48:18 +0200

webapp-manager (1.2.0) vanessa; urgency=medium

  [ garret ]
  * Add Firefox ESR support

  [ Himadri Sekhar Basu ]
  * Fix for epiphany; fixes #104

  [ Krindog7337 ]
  * Add Edge Stable, Beta, Dev support (#161)

  [ Peter Dave Hello ]
  * Enhance README.md with HTML5 <kbd> tag (#157)

  [ Rokosun ]
  * Add LibreWolf support (#149)
  * Improve cookie management in Firefox & Librewolf (#155)

  [ PizzaLovingNerd ]
  * Fixed Firefox SSBs with missing title bars (Fixes #132, #116, #91) (#146)

  [ Zahari Kassabov ]
  * Improve icon detection

  [ Micah Cochran ]
  * move imports to top, reorganize imports to PEP8 order (#179)

  [ musiclover ]
  * Add support for Flatpak Chrome (fixes #166)
  * Add support for Flatpak LibreWolf (fixes #175)
  * Add support for Waterfox (fixes #160)
  * Add support for Slimjet (fixes #68)

  [ Monsterovich ]
  * Implement custom browser parameters (#177)

  [ Clement Lefebvre ]
  * Fix editing webapps
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 21 Jun 2022 10:59:08 +0200

webapp-manager (1.1.9) una; urgency=medium

  * l10n: Update translations
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 31 Dec 2021 13:02:04 +0000

webapp-manager (1.1.8) una; urgency=medium

  * UI: Expand online favicon scrolledwindow

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 17 Dec 2021 12:01:36 +0000

webapp-manager (1.1.7) una; urgency=medium

  * l10n: Update translations
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 06 Dec 2021 15:53:07 +0000

webapp-manager (1.1.6) una; urgency=medium

  [ JosephMcc ]
  * UI: Properly center the Ok and Cancel buttons

  [ Butterfly ]
  * Add missing python3-pil dependency (#139)

  [ Himadri Sekhar Basu ]
  * Show the base browser of webapp in web-apps list (#134)
  * Add confirm dialog for webapp removal (#121)

  [ Clement Lefebvre ]
  * Small fixes
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 23 Nov 2021 16:30:19 +0000

webapp-manager (1.1.5) uma; urgency=medium

  * l10n: Update translations
  * l10n: Generate files

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 25 Jun 2021 14:52:19 +0100

webapp-manager (1.1.4) uma; urgency=medium

  [ Himadri Sekhar Basu ]
  * fixed wrong list range; fixes #114, closes #114

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 14 Jun 2021 12:15:26 +0100

webapp-manager (1.1.3) uma; urgency=medium

  * l10n: Update translations
  * l10n: Generate files

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 09 Jun 2021 15:55:46 +0100

webapp-manager (1.1.2) uma; urgency=medium

  [ candrapersada ]
  * add support for Chromium installed as Flatpak

  [ mwoz123 ]
  * Add support for Chromium installed as Snap package (#72)

  [ Shivansh Singh ]
  * Updated README.md (#87)

  [ Marcin Paździora ]
  * Allow using Vivaldi Snapshot as app's browser (#54)

  [ BrokenClock ]
  * 'copy link location' to open links in main browser (#63)

  [ Michael Webster ]
  * debian/control: Add a minimum xapps version that includes the XAppStackSidebar.

  [ Vitor Lopes ]
  * add support for Firefox developer edition

  [ HIMADRI SEKHAR BASU ]
  * Added support for Private Browsing mode for firefox and chromium based browsers.

  [ hazel-bunny ]
  * Add support for Falkon (#110)

  [ Clement Lefebvre ]
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 03 Jun 2021 17:35:11 +0100

webapp-manager (1.1.1) ulyssa; urgency=medium

  * Don't let user click the add button if no supported browsers are detected
  * l10n: Update POT
  * Only import bs4 when actually needed

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 12 Jan 2021 12:46:38 +0000

webapp-manager (1.1.0) ulyssa; urgency=medium

  [ Clement Lefebvre ]
  * l10n: Update translations
  * l10n: Update files

  [ Michael Webster ]
  * Override the icon for firefox webapps (otherwise it gets them wrong (#49)

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 02 Jan 2021 18:37:31 +0000

webapp-manager (1.0.9) ulyssa; urgency=medium

  * Improve icon guessing

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 23 Dec 2020 15:35:39 +0000

webapp-manager (1.0.8) ulyssa; urgency=medium

  [ Clement Lefebvre ]
  * Add missing python3-bs4 dependency
  * Create LICENSE

  [ JosephMcc ]
  * ui: Fix stretched switches (#40)

  [ Clement Lefebvre ]
  * l10n: Fix untranslated comment in .desktop files
  * Remove unused code
  * Remove unused code
  * Change the content of the .desktop file
  * Let users edit the URL

  [ Burhanuddin Udaipurwala ]
  * Add support for Ungoogle Chromium browser (#42)

  [ Ahmed Bay ]
  * Add support for Microsoft Edge (#41)

  [ Clement Lefebvre ]
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 22 Dec 2020 13:06:10 +0000

webapp-manager (1.0.7) ulyssa; urgency=medium

  * l10n: Update translations
  * l10n: Generate files

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 10 Dec 2020 12:41:05 +0000

webapp-manager (1.0.6) ulyssa; urgency=medium

  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 02 Dec 2020 15:03:04 +0000

webapp-manager (1.0.5) ulyana; urgency=medium

  [ Clement Lefebvre ]
  * Fix brave executable name

  [ Filip Czaplicki ]
  * Support for Firefox Flatpak profiles (#17)

  [ Clement Lefebvre ]
  * Don't crash when failing to read a desktop file
  * Fix Epiphany support
  * Update README.md
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 01 Oct 2020 10:14:18 +0100

webapp-manager (1.0.4) ulyana; urgency=medium

  [ Clement Lefebvre ]
  * Add keyboard shortcuts
  * l10n: Update POT
  * Add support for /usr/bin/chromium
  * Add a dedicated menu category for Web apps
  * Add missing file shortcuts.ui
  * l10n: Update POT
  * Allow domain names with only 2 letters

  [ Jigish Gohil ]
  * Add Education category (#9)

  [ Clement Lefebvre ]
  * Add missing dependency on gir1.2-xapp-1.0
  * Clean up imports

  [ JosephMcc ]
  * UI Improvements (#6)

  [ Clement Lefebvre ]
  * Factorize main page loading code
  * Move back burger menu to the left
  * UI: Reposition the OK/Cancel button box
  * UI: Place favicon image and spinner into a stack
  * UI: Add a stack transition
  * Relax URL checks
  * Clean up imports
  * Refactor: Use a browser class
  * UI: Papercuts
  * Add support for Firefox (Flatpak)

  [ Jigish Gohil ]
  * use document-edit-symbolic (#11)

  [ Mark Wagie ]
  * Fix binary shebang (#3)

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 04 Sep 2020 16:04:38 +0100

webapp-manager (1.0.3) ulyana; urgency=medium

  * Select the first treeview row automatically
  * Add the ability to edit webapps
  * Update POT
  * Fix isolation widgets visible for Firefox
  * Firefox: Add the ability to show the navbar
  * Reverse logic for navigation bar
  * Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 01 Sep 2020 14:21:46 +0100

webapp-manager (1.0.2) ulyana; urgency=medium

  * Fix menu category
  * Implement menu items (quit, about)
  * Implement backend
  * Implement choice of browser, category and isolation
  * Remove edit button
  * Add the ability to download favicons
  * Add support for favicongrabber
  * Put the spinner inside the favicon button
  * Add the ability to run web apps
  * Add tooltips, add a button to cancel favicon selection
  * l10n: Update POT
  * Remove generated files
  * Update icon
  * Fix collision errors
  * Fix run button sensitivity when no app is selected
  * Reset add page when creating a new app
  * Use variables for widgets which are accessed more than twice
  * Fix icon guessing for Youtube and Gmail
  * Validate URL
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 21 Aug 2020 15:34:48 +0100

webapp-manager (1.0.1) ulyana; urgency=medium

  * Initial release

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 15 Aug 2020 10:24:00 +0100

